fse.ws

## Class IAccessi

- java.lang.Object
- - fse.ws.IAccessi

-     public class IAccessi
      extends java.lang.Object

  Espone i servizi per accedere ai log di accesso al fascicolo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAccessi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AccessLog>` | `getAccessLog(AccessLogQuery accessLogQuery)` Restituisce tutte le operazioni effettuate sul fascicolo di un assistito estrendole secondo i criteri specificati

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IAccessi

          public IAccessi()

  - ### Method Detail

    - #### getAccessLog

          public java.util.List<AccessLog> getAccessLog(AccessLogQuery accessLogQuery)

      Restituisce tutte le operazioni effettuate sul fascicolo di un assistito estrendole secondo i criteri specificati
      Parameters:
        `accessLogQuery` - i parametri di ricerca. Parametro obbligatorio
      Returns:
        la lista degli accessi (in lettura e in scrittura) sul fascicolo
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, puņ assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido